abis_nm.c File Reference
A-bis OML
`#include <stdint.h>`
`#include <errno.h>`
`#include <osmocom/core/utils.h>`
`#include <osmocom/core/logging.h>`
`#include <osmocom/gsm/tlv.h>`
`#include <osmocom/gsm/gsm_utils.h>`
`#include <osmocom/gsm/protocol/gsm_12_21.h>`
`#include <osmocom/gsm/abis_nm.h>`

## Functions

const char * | abis_nm_nack_name (uint8_t nack)
| Get human-readable string for OML NACK message type.
const char * | abis_nm_nack_cause_name (uint8_t cause)
| Get human-readable string for NACK cause.
const char * | abis_nm_event_type_name (uint8_t cause)
| Get human-readable string for OML event type.
const char * | abis_nm_severity_name (uint8_t cause)
| Get human-readable string for perceived OML severity.
const char * | abis_nm_opstate_name (uint8_t os)
| Get human-readable string for OML Operational State.
const char * | abis_nm_avail_name (uint8_t avail)
| Get human-readable string for OML Availability State.
const char * | abis_nm_test_name (uint8_t test)
| Get human-readable string for OML test.
int | abis_nm_chcomb4pchan (enum gsm_phys_chan_config pchan)
| Obtain OML Channel Combination for phnsical channel config.
enum gsm_phys_chan_config | abis_nm_pchan4chcomb (uint8_t chcomb)
| Obtain physical channel config for OML Channel Combination.
void | abis_nm_debugp_foh (int ss, struct abis_om_fom_hdr *foh)

## Variables

const char | abis_nm_ipa_magic [13] = "com.ipaccess"
const char | abis_nm_osmo_magic [12] = "org.osmocom"
enum abis_nm_msgtype | abis_nm_reports [4]
| unidirectional messages from BTS to BSC More...
enum abis_nm_msgtype | abis_nm_no_ack_nack [3]
| messages without ACK/NACK More...
enum abis_nm_msgtype | abis_nm_sw_load_msgs [9]
| messages related to software load More...
enum abis_nm_msgtype | abis_nm_nacks [33]
| All NACKs (negative acknowledgements.
static const struct value_string | nack_names []
static const struct value_string | nack_cause_names []
static const struct value_string | event_type_names []
static const struct value_string | severity_names []
enum abis_nm_attr | abis_nm_att_settable []
| Attributes that the BSC can set, not only get, according to Section 9.4. More...
const struct tlv_definition | abis_nm_att_tlvdef
| GSM A-bis OML TLV parser definition.
const struct tlv_definition | abis_nm_osmo_att_tlvdef
| org.osmocom GSM A-bis OML TLV parser definition More...
const struct value_string | abis_nm_msg_disc_names []
| Human-readable strings for A-bis OML Object Class. More...
const struct value_string | abis_nm_obj_class_names []
| Human-readable strings for A-bis OML Object Class. More...
static const struct value_string | avail_names []
static const struct value_string | test_names []
const struct value_string | abis_nm_adm_state_names []
| Human-readable names for OML administrative state. More...
static enum abis_nm_chan_comb | chcomb4pchan []